# Uses of Interface
org.gitana.platform.client.registrar.Registrar

Packages that use Registrar
Package
Description
org.gitana.platform.client.identity
org.gitana.platform.client.meter
org.gitana.platform.client.plan
org.gitana.platform.client.platform
org.gitana.platform.client.registrar
org.gitana.platform.client.support
org.gitana.platform.client.tenant

## Uses of Registrar in org.gitana.platform.client.identity

Methods in org.gitana.platform.client.identity with parameters of type Registrar
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
Identity.`findPolicyTenantObjects(Registrar registrar)`
Finds all of the tenant objects that this identity's policy's users participate in.
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
Identity.`findPolicyTenantObjects(Registrar registrar, String authorityId)`
Finds all of the tenant objects that this identity's policy's users participate in.
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
IdentityImpl.`findPolicyTenantObjects(Registrar registrar)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
IdentityImpl.`findPolicyTenantObjects(Registrar registrar, String authorityId)`

## Uses of Registrar in org.gitana.platform.client.meter

Constructors in org.gitana.platform.client.meter with parameters of type Registrar
Modifier
Constructor
Description
``
`MeterImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Registrar in org.gitana.platform.client.plan

Constructors in org.gitana.platform.client.plan with parameters of type Registrar
Modifier
Constructor
Description
``
`PlanImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Registrar in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Registrar
Modifier and Type
Method
Description
`Registrar`
Platform.`createRegistrar()`
`Registrar`
Platform.`createRegistrar(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registrar`
PlatformImpl.`createRegistrar()`
`Registrar`
PlatformImpl.`createRegistrar(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registrar`
Platform.`readRegistrar(String registrarId)`
`Registrar`
PlatformImpl.`readRegistrar(String registrarId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type Registrar
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Registrar>`
Platform.`listRegistrars()`
`org.gitana.platform.support.ResultMap<Registrar>`
Platform.`listRegistrars(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Registrar>`
PlatformImpl.`listRegistrars()`
`org.gitana.platform.support.ResultMap<Registrar>`
PlatformImpl.`listRegistrars(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Registrar>`
Platform.`queryRegistrars(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Registrar>`
Platform.`queryRegistrars(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Registrar>`
PlatformImpl.`queryRegistrars(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Registrar>`
PlatformImpl.`queryRegistrars(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Registrar in org.gitana.platform.client.registrar

Classes in org.gitana.platform.client.registrar that implement Registrar
Modifier and Type
Class
Description
`class`
`RegistrarImpl`
Methods in org.gitana.platform.client.registrar that return Registrar
Modifier and Type
Method
Description
`Registrar`
AbstractRegistrarDocumentImpl.`getRegistrar()`
`Registrar`
RegistrarDocument.`getRegistrar()`
Constructors in org.gitana.platform.client.registrar with parameters of type Registrar
Modifier
Constructor
Description
``
`AbstractRegistrarDocumentImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Registrar in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Registrar
Modifier and Type
Method
Description
`Registrar`
ObjectFactory.`registrar(Platform platform)`
`Registrar`
ObjectFactory.`registrar(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registrar`
ObjectFactory.`registrar(Platform platform, Response response)`
`Registrar`
ObjectFactoryImpl.`registrar(Platform platform)`
`Registrar`
ObjectFactoryImpl.`registrar(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registrar`
ObjectFactoryImpl.`registrar(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Registrar
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Registrar>`
ObjectFactory.`registrars(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Registrar>`
ObjectFactoryImpl.`registrars(Platform platform, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Registrar
Modifier and Type
Method
Description
`Meter`
ObjectFactory.`meter(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Meter`
ObjectFactory.`meter(Registrar registrar, Response response)`
`Meter`
ObjectFactoryImpl.`meter(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Meter`
ObjectFactoryImpl.`meter(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Meter>`
ObjectFactory.`meters(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Meter>`
ObjectFactoryImpl.`meters(Registrar registrar, Response response)`
`Plan`
ObjectFactory.`plan(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Plan`
ObjectFactory.`plan(Registrar registrar, Response response)`
`Plan`
ObjectFactoryImpl.`plan(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Plan`
ObjectFactoryImpl.`plan(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Plan>`
ObjectFactory.`plans(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Plan>`
ObjectFactoryImpl.`plans(Registrar registrar, Response response)`
`Tenant`
ObjectFactory.`tenant(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
ObjectFactory.`tenant(Registrar registrar, Response response)`
`Tenant`
ObjectFactoryImpl.`tenant(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
ObjectFactoryImpl.`tenant(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Tenant>`
ObjectFactory.`tenants(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Tenant>`
ObjectFactoryImpl.`tenants(Registrar registrar, Response response)`

## Uses of Registrar in org.gitana.platform.client.tenant

Constructors in org.gitana.platform.client.tenant with parameters of type Registrar
Modifier
Constructor
Description
``
`TenantImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`